GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

          • Create permission space
          • Batch create permission spaces
          • Get permission space details
          • Batch get permission space details list
          • Paged get permission space list
          • Modify Permission Space
          • Delete Permission Space
          • Batch Delete Permission Space
          • Check whether the permission space Code or name is available
          • Paginated query of all roles in the permission space
          • Create data resources
          • Create string data resources
          • Create array data resources
          • Create tree data resources
          • Get data resource list
          • Get data resource information
          • Modify data resources
          • Delete data resources
          • Check data resource name or Code Is it available
          • Create data resource extension fields
          • Batch create data resource extension fields
          • Delete data resource extension fields
          • Modify data resource extension fields
          • Get data resource extension field list
          • Create data policy
          • Get data policy list
          • Get a list of simple data policy information
          • Get data policy information
          • Modify data policy
          • Delete data policy
          • Check whether the data policy name exists
          • Get all the information of the authorized subjects under the data policy
          • Authorize Data Policy
          • Revoke Data Policy
          • Get User Permission List
          • Judge user permissions
          • Judge external user permissions
          • Get user-specified resource permission list
          • Get a list of users authorized to use resources
          • Get a list of user-authorized resources
          • Get the structure list of external user authorization resources
          • Judge the user's permissions under the same level resources of the tree resource
        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage data resources and permissions

  10. /
  11. Judge user permissions

¶ Determine user permissions (key points)

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

¶ Description

You can use this interface when you need to determine whether the user has specified permissions for certain resources

¶ Note

  • This interface locates the corresponding data resource by passing the resource code (if it is a tree type, the full code path of the node needs to be passed).
  • If you configure environmental attribute conditional judgment when configuring data policy, you need to set the parameter judgeConditionEnabled to true (default is false), and pass the environment information (such as IP, device type, system type, etc.) of the request through the parameter authEnvParams, otherwise the conditional judgment will not take effect, resulting in the failure of data policy.

¶ Scenario example

When a user deletes a piece of data, it is necessary to determine whether he has the deletion permission for this resource, so this interface can be used.

¶ Request example

¶ Example of judging user permissions for string and array resources (unconditional judgment)

  • Entry
{
  "namespaceCode": "examplePermissionNamespace",
  "userId": "63721xxxxxxxxxxxxdde14a3",
  "action": "get",
  "resources": ["strResourceCode1", "arrayResourceCode1"]
}
  • Parameters
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 20001,
  "data": {
    "checkResultList": [
      {
        "namespaceCode": "examplePermissionNamespace",
        "resource": "strResourceCode1",
        "action": "get",
        "enabled": true
      },
      {
        "namespaceCode": "examplePermissionNamespace",
        "resource": "arrayResourceCode1",
        "action": "get",
        "enabled": true
      }
    ]
  }
}

¶ Example of judging user permissions for string and array resources (enabling conditional judgment)

  • Entry
{
  "namespaceCode": "examplePermissionNamespace",
  "userId": "63721xxxxxxxxxxxxdde14a3",
  "action": "get",
  "resources": ["strResourceCode1", "arrayResourceCode1"],
  "judgeConditionEnabled": true,
  "authEnvParams": {
    "ip": "110.96.0.0",
    "city": "xxx",
    "province": "xxx",
    "country": "xxx",
    "deviceType": "PC",
    "systemType": "ios",
    "browserType": "IE",
    "requestDate": "2022-12-26 17:40:00"
  }
}
  • Parameters
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 20001,
  "data": {
    "checkResultList": [
      {
        "namespaceCode": "examplePermissionNamespace",
        "resource": "strResourceCode1",
        "action": "get",
        "enabled": false
      },
      {
        "namespaceCode": "examplePermissionNamespace",
        "resource": "arrayResourceCode1",
        "action": "get",
        "enabled": false
      }
    ]
  }
}

¶ Example of judging user permissions on tree resources

  • Entry
{
  "namespaceCode": "examplePermissionNamespace",
  "userId": "63721xxxxxxxxxxxxdde14a3",
  "action": "get",
  "resources": [
    "treeResourceCode1/StructCode1/resourceStructChildrenCode1",
    "treeResourceCode2/StructCode1/resourceStructChildrenCode1"
  ]
}
  • Parameters
{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 20001,
  "data": {
    "checkResultList": [
      {
        "namespaceCode": "examplePermissionNamespace",
        "action": "get",
        "resource": "treeResourceCode1/StructCode1/resourceStructChildrenCode1",
        "enabled": true
      },
      {
        "namespaceCode": "examplePermissionNamespace",
        "action": "get",
        "resource": "treeResourceCode2/StructCode1/resourceStructChildrenCode1",
        "enabled": true
      }
    ]
  }
}

¶ Method Name

ManagementClient.checkPermission

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
resourcesstring[]Yes-Resource path list, tree resources need to go to specific tree nodes["strResourceCode","arrResourceCode","treeResourceCode/StructCode1/resourceStructChildrenCode1"]
actionstringYes-Data resource permission operation, read, get, write and other actionsget
userIdstringYes-User id63721xxxxxxxxxxxxdde14a3
namespaceCodestringYes-Permission space CodeexamplePermissionNamespace
judgeConditionEnabledbooleanNo-Whether to enable conditional judgment, the default is false and not enabled
authEnvParamsAuthEnvParamsNo-Conditional environment attributes, used if conditional judgment is enabled{"ip":"127.0.0.1"}

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CheckPermissionDto;
import cn.authing.sdk.java.dto.CheckPermissionRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;


public class CheckPermissionTest {

    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");
        ManagementClient client = new ManagementClient(clientOptions);

        CheckPermissionDto request = new CheckPermissionDto();
        request.setNamespaceCode("examplePermissionNamespace");
        request.setUserId("63721xxxxxxxxxxxxdde14a3");
        request.setAction("get");
        List<String> resources = new ArrayList<>();
        resources.add("strResourceCode");
        resources.add("arrayResourceCode");
        resources.add("/treeResourceCode/structCode/resourceStructChildrenCode");
        request.setResources(resources);
        CheckPermissionRespDto response = client.checkPermission(request);
        System.out.println(JsonUtils.serialize(response));
    }

}

¶ Request Response

Type: CheckPermissionRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
dataCheckPermissionDataDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "apiCode": 20001,
  "data": {
    "checkResultList": {
      "namespaceCode": "examplePermissionNamespace",
      "action": "get",
      "resource": "treeResource1",
      "enabled": true
    }
  }
}

¶ Data Structure

¶ AuthEnvParams

NameType
Is it required
Description
Example Value
ipstringnoip127.0.0.1
citystringnocityBeijing
provincestringnoprovinceHubei
countrystringnocountryChina
deviceTypestringnodevice type: PC/MobilePC
systemTypestringnooperation type: Windows, Android, iOS, MacOSWindows
browserTypestringnobrowser type: IE/Chrome/FirefoxIE
requestDatestringnorequest time2022-07-03T03:20:30.000Z

¶ CheckPermissionDataDto

NameType
Is it required
Description
Example Value
checkResultListarrayyesCheck the result list Nested Type: CheckPermissionsRespDto。

¶ CheckPermissionsRespDto

NameType
Is it required
Description
Example Value
namespaceCodestringyespermission space CodeexamplePermissionNamespace
actionstringyesdata resource permission operationget
resourcestringyesresource pathtreeResource1
enabledbooleanyesWhether the user has a certain operation on the data resource under a certain permission spacetrue
Previous article: Get User Permission List Next article: Judge external user permissions
  • Description
  • Note
  • Scenario example
  • Request example
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.